#!/bin/sh

SECURE_IP=${SECURE_IP:-"127.0.0.1"}
PASSWORD=${PASSWORD:-"mailu"}
ENABLE_PASSWORD=${ENABLE_PASSWORD:-$PASSWORD}

cat << EOF > /etc/rspamd/override.d/worker-controller.inc
    bind_socket = "0.0.0.0:${PORT}";
    secure_ip = "${SECURE_IP}";
    password = "${PASSWORD}";
    enable_password = "${PASSWORD}";
EOF

cat << EOF > /etc/rspamd/local.d/worker-proxy.inc
    bind_socket = "0.0.0.0:11332";
    milter = yes;
    timeout = 120s;
    upstream "local" {
      default = yes;
      self_scan = yes;
    }
EOF

cat << EOF > /etc/rspamd/override.d/worker-normal.inc
  bind_socket = "127.0.0.1:11333";
EOF


/usr/sbin/rspamd -f --insecure
